var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) {
    function r() {
        this.constructor = t;
    }
    for (var i in e)
        e.hasOwnProperty(i) && (t[i] = e[i]);
    r.prototype = e.prototype, t.prototype = new r();
};
var JSONParseClass = /** @class */ (function () {
    function JSONParseClass() {
        this.skinClass = {};
        this.euiNormalizeNames = {
            "$eBL": "eui.BitmapLabel",
            "$eB": "eui.Button",
            "$eCB": "eui.CheckBox",
            "$eC": "eui.Component",
            "$eDG": "eui.DataGroup",
            "$eET": "eui.EditableText",
            "$eG": "eui.Group",
            "$eHL": "eui.HorizontalLayout",
            "$eHSB": "eui.HScrollBar",
            "$eHS": "eui.HSlider",
            "$eI": "eui.Image",
            "$eL": "eui.Label",
            "$eLs": "eui.List",
            "$eP": "eui.Panel",
            "$ePB": "eui.ProgressBar",
            "$eRB": "eui.RadioButton",
            "$eRBG": "eui.RadioButtonGroup",
            "$eRa": "eui.Range",
            "$eR": "eui.Rect",
            "$eRAl": "eui.RowAlign",
            "$eS": "eui.Scroller",
            "$eT": "eui.TabBar",
            "$eTI": "eui.TextInput",
            "$eTL": "eui.TileLayout",
            "$eTB": "eui.ToggleButton",
            "$eTS": "eui.ToggleSwitch",
            "$eVL": "eui.VerticalLayout",
            "$eV": "eui.ViewStack",
            "$eVSB": "eui.VScrollBar",
            "$eVS": "eui.VSlider",
            "$eSk": "eui.Skin"
        };
    }
    JSONParseClass.prototype.setData = function (data) {
        if (!this.json) {
            this.json = data;
            this.parseSkinMap(this.json);
        }
        else {
            this.parseSkinMap(data);
            for (var a in data) {
                this.json[a] = data[a];
            }
        }
    };
    JSONParseClass.prototype.generateSkinClass = function (skinData, className, superName) {
        if (!skinData)
            return null;
        var paths = superName.split(".");
        var target = window;
        for (var _i = 0, paths_1 = paths; _i < paths_1.length; _i++) {
            var p = paths_1[_i];
            target = target[p];
        }
        function __SkinClass() {
            target.call(this);
            window["JSONParseClass"].create(className, this);
        }
        __extends(__SkinClass, target);
        __reflect(__SkinClass, className, [superName]);
        return __SkinClass;
    };
    JSONParseClass.prototype.parseSkinMap = function (skinMap) {
        var skinResult = {};
        for (var exml in skinMap) {
            var skinData = skinMap[exml];
            if (!skinData)
                continue;
            var paths = exml.split(".");
            var target = window;
            for (var _i = 0, paths_2 = paths; _i < paths_2.length; _i++) {
                var p = paths_2[_i];
                var parent = target;
                if (p !== paths[paths.length - 1]) {
                    target = target[p];
                    if (target == undefined) {
                        target = {};
                        parent[p] = target;
                    }
                }
            }
            var superName = this.euiNormalizeNames[skinData["$sC"]] == undefined ? skinData["$sC"] : this.euiNormalizeNames[skinData["$sC"]];
            skinResult[exml] = target[paths[paths.length - 1]] = this.generateSkinClass(skinData, exml, superName);
            if (skinMap[exml]["$path"]) {
                generateEUI2["paths"][skinMap[exml]["$path"]] = skinResult[exml];
            }
        }
        return skinResult;
    };
    JSONParseClass.prototype.create = function (skinName, target) {
        if (!this.json) {
            console.log("Missing json defined by eui resource, please modify the theme adapter");
            console.log("缺少eui资源定义的json，请修改主题适配器");
            return;
        }
        /** 先解析对应名字的的 */
        this.target = target;
        this.skinName = skinName;
        this.skinClass = this.json[skinName];
        //开始生成
        this.applyBase();
        this.applySkinParts();
        this.applyState();
        this.applyBinding();
        //skinParts 只能最后赋值，在comp中引用问题
        if (this.skinClass["$sP"] == undefined)
            this.target["skinParts"] = [];
        else
            this.target["skinParts"] = this.skinClass["$sP"];
    };
    JSONParseClass.prototype.applySkinParts = function () {
        if (this.skinClass["$sP"] == undefined)
            return;
        for (var _i = 0, _a = this.skinClass["$sP"]; _i < _a.length; _i++) {
            var component = _a[_i];
            if (this.target[component] == undefined)
                this.createElementContentOrViewport(component);
        }
    };
    JSONParseClass.prototype.applyBase = function () {
        if (this.skinClass["$bs"] == undefined)
            return;
        this.addCommonProperty("$bs", this.target);
    };
    JSONParseClass.prototype.createElementContentOrViewport = function (component) {
        var result;
        var typeStr = this.getNormalizeEuiName(this.skinClass[component].$t);
        if (typeStr == "egret.tween.TweenGroup") {
            result = this.creatsEgretTweenGroup(component);
        }
        else {
            /** 有可能对象是从外面一定义的皮肤 */
            var type_1 = egret.getDefinitionByName(typeStr);
            this.$createNewObject(function () {
                result = new type_1();
            });
            this.addCommonProperty(component, result);
        }
        this.target[component] = result;
        return result;
    };
    /**
     * 生成单位，有可能会跳出当前皮肤，所以统一维护target和skin
     * @param callback 创建对象的真实逻辑
     */
    JSONParseClass.prototype.$createNewObject = function (callback) {
        var skinName = this.skinName;
        var target = this.target;
        callback();
        this.skinName = skinName;
        this.skinClass = this.json[this.skinName];
        this.target = target;
    };
    /**
     * 生成对应的缓动组
     * @param component 名字索引
     */
    JSONParseClass.prototype.creatsEgretTweenGroup = function (component) {
        var result = this.createTypeObject(component);
        var items = [];
        for (var _i = 0, _a = this.skinClass[component]["items"]; _i < _a.length; _i++) {
            var item = _a[_i];
            items.push(this.createEgretTweenItem(item));
        }
        result["items"] = items;
        return result;
    };
    /**
     * 生成对应的缓动单位
     * @param tweenItem 名字索引
     */
    JSONParseClass.prototype.createEgretTweenItem = function (tweenItem) {
        var _this = this;
        var result = this.createTypeObject(tweenItem);
        var paths = [];
        var _loop_1 = function (prop) {
            var property = this_1.skinClass[tweenItem][prop];
            if (prop == "$t" || prop == "target") {
            }
            else if (prop == "paths") {
                for (var _i = 0, property_1 = property; _i < property_1.length; _i++) {
                    var path = property_1[_i];
                    paths.push(this_1.createSetOrTo(path));
                }
            }
            else if (prop == "target") {
                this_1.$createNewObject(function () {
                    result[prop] = _this.createElementContentOrViewport(property);
                    _this.target[property] = result[prop];
                });
            }
            else {
                result[prop] = property;
            }
        };
        var this_1 = this;
        for (var prop in this.skinClass[tweenItem]) {
            _loop_1(prop);
        }
        result["paths"] = paths;
        this.target[tweenItem] = result;
        return result;
    };
    JSONParseClass.prototype.createSetOrTo = function (key) {
        var result = this.createTypeObject(key);
        for (var prop in this.skinClass[key]) {
            var property = this.skinClass[key][prop];
            if (prop == "$t" || prop == "target") {
            }
            else if (prop == "props") {
                result[prop] = this.createObject(property);
                this.target[property] = result[prop];
            }
            else {
                result[prop] = property;
            }
        }
        return result;
    };
    JSONParseClass.prototype.createObject = function (name) {
        var result = {};
        for (var prop in this.skinClass[name]) {
            if (prop == "$t" || prop == "target") {
            }
            else {
                result[prop] = this.skinClass[name][prop];
            }
        }
        return result;
    };
    JSONParseClass.prototype.addCommonProperty = function (componentName, target) {
        var eleC;
        var sId;
        var _loop_2 = function (prop) {
            var property = this_2.skinClass[componentName][prop];
            if (prop == "$t") {
            }
            else if (prop == "layout") {
                target[prop] = this_2.createLayout(property);
            }
            else if (prop == "$eleC") {
                eleC = property;
            }
            else if (prop == "$sId") {
                sId = property;
            }
            else if (prop == "scale9Grid") {
                target[prop] = this_2.getScale9Grid(property);
            }
            else if (prop == "skinName") {
                this_2.$createNewObject(function () {
                    target[prop] = property;
                });
            }
            else if (prop == "itemRendererSkinName") {
                this_2.$createNewObject(function () {
                    var dirPath = property.split(".");
                    var t = window;
                    for (var _i = 0, dirPath_1 = dirPath; _i < dirPath_1.length; _i++) {
                        var p = dirPath_1[_i];
                        t = t[p];
                    }
                    target[prop] = t;
                });
            }
            else if (prop == "itemRenderer") {
                target[prop] = egret.getDefinitionByName(property);
            }
            else if (prop == "dataProvider") {
                target[prop] = this_2.createDataProvider(property);
            }
            else if (prop == "viewport") {
                target[prop] = this_2.createElementContentOrViewport(property);
            }
            else {
                target[prop] = property;
            }
        };
        var this_2 = this;
        for (var prop in this.skinClass[componentName]) {
            _loop_2(prop);
        }
        var ele = [];
        if (eleC && eleC.length > 0) {
            for (var _i = 0, eleC_1 = eleC; _i < eleC_1.length; _i++) {
                var element = eleC_1[_i];
                var e = this.createElementContentOrViewport(element);
                ele.push(e);
            }
        }
        target["elementsContent"] = ele;
        if (sId && sId.length > 0) {
            for (var _a = 0, sId_1 = sId; _a < sId_1.length; _a++) {
                var element = sId_1[_a];
                this.createElementContentOrViewport(element);
            }
        }
        return target;
    };
    JSONParseClass.prototype.createLayout = function (componentName) {
        var result = this.createTypeObject(componentName);
        var component = this.skinClass[componentName];
        for (var property in component) {
            if (property !== "$t") {
                result[property] = component[property];
            }
        }
        this.target[componentName] = result;
        return result;
    };
    JSONParseClass.prototype.applyState = function () {
        if (this.skinClass["$s"] == undefined)
            return;
        var states = [];
        for (var state in this.skinClass["$s"]) {
            var setProperty = [];
            var tempState = this.skinClass["$s"][state];
            if (tempState["$saI"]) {
                for (var _i = 0, _a = tempState["$saI"]; _i < _a.length; _i++) {
                    var property = _a[_i];
                    setProperty.push(new eui.AddItems(property["target"], property["property"], property["position"], property["relativeTo"]));
                }
            }
            if (tempState["$ssP"]) {
                for (var _b = 0, _c = tempState["$ssP"]; _b < _c.length; _b++) {
                    var property = _c[_b];
                    if (property["name"]) {
                        var value = property["value"];
                        if (property["name"] == "scale9Grid") {
                            value = this.getScale9Grid(property["value"]);
                        }
                        setProperty.push(new eui.SetProperty(property["target"], property["name"], value));
                    }
                    else {
                        setProperty.push(new eui.SetStateProperty(this.target, property["templates"], property["chainIndex"], this.target[property["target"]], property["property"]));
                    }
                }
            }
            states.push(new eui.State(state, setProperty));
        }
        this.target["states"] = states;
    };
    JSONParseClass.prototype.applyBinding = function () {
        if (this.skinClass["$b"] == undefined)
            return;
        for (var _i = 0, _a = this.skinClass["$b"]; _i < _a.length; _i++) {
            var bindingDate = _a[_i];
            if (bindingDate["$bc"] !== undefined) {
                eui.Binding.$bindProperties(this.target, bindingDate["$bd"], bindingDate["$bc"], this.target[bindingDate["$bt"]], bindingDate["$bp"]);
            }
            else {
                eui.Binding.bindProperty(this.target, bindingDate["$bd"][0].split("."), this.target[bindingDate["$bt"]], bindingDate["$bp"]);
            }
        }
    };
    JSONParseClass.prototype.createDataProvider = function (component) {
        if (component == "")
            return undefined;
        var result = this.createTypeObject(component);
        var source = [];
        for (var _i = 0, _a = this.skinClass[component]["source"]; _i < _a.length; _i++) {
            var sour = _a[_i];
            source.push(this.createItemRender(sour));
        }
        result["source"] = source;
        return result;
    };
    JSONParseClass.prototype.createItemRender = function (itemName) {
        var result = this.createTypeObject(itemName);
        for (var property in this.skinClass[itemName]) {
            if (property != "$t") {
                result[property] = this.skinClass[itemName][property];
            }
        }
        return result;
    };
    JSONParseClass.prototype.getNormalizeEuiName = function (str) {
        return this.euiNormalizeNames[str] ? this.euiNormalizeNames[str] : str;
    };
    JSONParseClass.prototype.createTypeObject = function (component) {
        var typestr = this.getNormalizeEuiName(this.skinClass[component].$t);
        var type = egret.getDefinitionByName(typestr);
        return new type();
    };
    JSONParseClass.prototype.getScale9Grid = function (data) {
        var datalist = data.split(",");
        return new egret.Rectangle(parseFloat(datalist[0]), parseFloat(datalist[1]), parseFloat(datalist[2]), parseFloat(datalist[3]));
    };
    return JSONParseClass;
}());
window["JSONParseClass"] = new JSONParseClass();
window.generateEUI2 = {};
generateEUI2.paths = {};
generateEUI2.styles = {"1":{"id":1,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ffe400","strokeColor":"0"},"2":{"id":2,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f1f1f1","strokeColor":"0"},"3":{"id":3,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"00ffff","strokeColor":"0"},"4":{"id":4,"stroke":0,"bold":0,"size":12,"underline":1,"textColor":"28ef01","strokeColor":"0"},"5":{"id":5,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff4500","strokeColor":"0"},"6":{"id":6,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f2e7ce","strokeColor":"0"},"7":{"id":7,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f1f1f1","strokeColor":"0"},"8":{"id":8,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f2e7ce","strokeColor":"0"},"9":{"id":9,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"28ef01","strokeColor":"0"},"10":{"id":10,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f1f1f1","strokeColor":"0"},"11":{"id":11,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ffe400","strokeColor":"0"},"12":{"id":12,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff4500","strokeColor":"0"},"13":{"id":13,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"00ffff","strokeColor":"0"},"14":{"id":14,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff00ff","strokeColor":"0"},"15":{"id":15,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"28ef01","strokeColor":"0"},"16":{"id":16,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff4500","strokeColor":"0"},"17":{"id":17,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"28ef01","strokeColor":"0"},"18":{"id":18,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"00ffff","strokeColor":"0"},"19":{"id":19,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff4500","strokeColor":"0"},"20":{"id":20,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff00ff","strokeColor":"0"},"21":{"id":21,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff0500","strokeColor":"0"},"22":{"id":22,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff4500","strokeColor":"0"},"23":{"id":23,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f2e7ce","strokeColor":"0"},"24":{"id":24,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f1f1f1","strokeColor":"0"},"25":{"id":25,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"ff0500","strokeColor":"0"},"26":{"id":26,"stroke":0,"bold":0,"size":12,"underline":1,"textColor":"ff4500","strokeColor":"0"},"27":{"id":27,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f2e7ce","strokeColor":"0"},"28":{"id":28,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f2f200","strokeColor":"111111"},"29":{"id":29,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f2f200","strokeColor":"111111"},"30":{"id":30,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f2f200","strokeColor":"111111"},"31":{"id":31,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ffffff","strokeColor":"111111"},"32":{"id":32,"stroke":1,"bold":0,"size":15,"underline":1,"textColor":"28ef01","strokeColor":"111111"},"33":{"id":33,"stroke":1,"bold":0,"size":15,"underline":1,"textColor":"28ef01","strokeColor":"111111"},"34":{"id":34,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"35":{"id":35,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"36":{"id":36,"stroke":1,"bold":0,"size":15,"underline":1,"textColor":"28ef01","strokeColor":"111111"},"37":{"id":37,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"38":{"id":38,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"39":{"id":39,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"40":{"id":40,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ff00ff","strokeColor":"111111"},"41":{"id":41,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"807256","strokeColor":"111111"},"42":{"id":42,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"43":{"id":43,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"44":{"id":44,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"45":{"id":45,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"46":{"id":46,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"47":{"id":47,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"48":{"id":48,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"7c6e53","strokeColor":"111111"},"49":{"id":49,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"50":{"id":50,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"51":{"id":51,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"52":{"id":52,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"53":{"id":53,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"54":{"id":54,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"55":{"id":55,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"56":{"id":56,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"57":{"id":57,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"58":{"id":58,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"59":{"id":59,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ff4500","strokeColor":"111111"},"60":{"id":60,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"61":{"id":61,"stroke":1,"bold":0,"size":16,"underline":1,"textColor":"28ef01","strokeColor":"111111"},"62":{"id":62,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"63":{"id":63,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"64":{"id":64,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"65":{"id":65,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"66":{"id":66,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"fff601","strokeColor":"111111"},"67":{"id":67,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"e60012","strokeColor":"111111"},"68":{"id":68,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ff339a","strokeColor":"111111"},"69":{"id":69,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f7ab00","strokeColor":"111111"},"70":{"id":70,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ba4bfa","strokeColor":"111111"},"71":{"id":71,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"00afec","strokeColor":"111111"},"72":{"id":72,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"41cb44","strokeColor":"111111"},"73":{"id":73,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"74":{"id":74,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"75":{"id":75,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"76":{"id":76,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"77":{"id":77,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"78":{"id":78,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"79":{"id":79,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"80":{"id":80,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"81":{"id":81,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"7c6e53","strokeColor":"111111"},"82":{"id":82,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"83":{"id":83,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"84":{"id":84,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"85":{"id":85,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"86":{"id":86,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"87":{"id":87,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"88":{"id":88,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"89":{"id":89,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"90":{"id":90,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"91":{"id":91,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"92":{"id":92,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ff4500","strokeColor":"111111"},"93":{"id":93,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"e1dac0","strokeColor":"1a1f24"},"94":{"id":94,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"95":{"id":95,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"96":{"id":96,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"97":{"id":97,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"98":{"id":98,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"99":{"id":99,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ffed76","strokeColor":"111111"},"100":{"id":100,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"e60012","strokeColor":"111111"},"101":{"id":101,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ff339a","strokeColor":"111111"},"102":{"id":102,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f7ab00","strokeColor":"111111"},"103":{"id":103,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ba4bfa","strokeColor":"111111"},"104":{"id":104,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"00afec","strokeColor":"111111"},"105":{"id":105,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"41cb44","strokeColor":"111111"},"106":{"id":106,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"107":{"id":107,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"6c6861","strokeColor":"111111"},"108":{"id":108,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"109":{"id":109,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"110":{"id":110,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"111":{"id":111,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"112":{"id":112,"stroke":1,"bold":0,"size":19,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"113":{"id":113,"stroke":1,"bold":0,"size":19,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"114":{"id":114,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"7c6e53","strokeColor":"111111"},"115":{"id":115,"stroke":1,"bold":0,"size":19,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"116":{"id":116,"stroke":1,"bold":0,"size":19,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"117":{"id":117,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"118":{"id":118,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"119":{"id":119,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"120":{"id":120,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"121":{"id":121,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"122":{"id":122,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"123":{"id":123,"stroke":1,"bold":0,"size":19,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"124":{"id":124,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"125":{"id":125,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ff4500","strokeColor":"111111"},"126":{"id":126,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"e1dac0","strokeColor":"1a1f24"},"127":{"id":127,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"128":{"id":128,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"129":{"id":129,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"130":{"id":130,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"131":{"id":131,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"132":{"id":132,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"133":{"id":133,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"00ffff","strokeColor":"111111"},"134":{"id":134,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"135":{"id":135,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ff4500","strokeColor":"111111"},"136":{"id":136,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ff00ff","strokeColor":"111111"},"137":{"id":137,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"00ffff","strokeColor":"111111"},"138":{"id":138,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"139":{"id":139,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"fffefe","strokeColor":"111111"},"140":{"id":140,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"141":{"id":141,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"142":{"id":142,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f1f1f1","strokeColor":"1a1f24"},"143":{"id":143,"stroke":1,"bold":0,"size":24,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"144":{"id":144,"stroke":1,"bold":0,"size":24,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"145":{"id":145,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"146":{"id":146,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"147":{"id":147,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"7c6e53","strokeColor":"111111"},"148":{"id":148,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"149":{"id":149,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"150":{"id":150,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"151":{"id":151,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"152":{"id":152,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"153":{"id":153,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"154":{"id":154,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"155":{"id":155,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"156":{"id":156,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"157":{"id":157,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"158":{"id":158,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"159":{"id":159,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"160":{"id":160,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"7c6e53","strokeColor":"111111"},"161":{"id":161,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"162":{"id":162,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ff00ff","strokeColor":"111111"},"163":{"id":163,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"492a07","strokeColor":"111111"},"164":{"id":164,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"165":{"id":165,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"ff00ff","strokeColor":"111111"},"166":{"id":166,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"492a07","strokeColor":"111111"},"167":{"id":167,"stroke":1,"bold":0,"size":12,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"168":{"id":168,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"169":{"id":169,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"170":{"id":170,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"171":{"id":171,"stroke":1,"bold":0,"size":26,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"172":{"id":172,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"173":{"id":173,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"492a07","strokeColor":"111111"},"174":{"id":174,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"175":{"id":175,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"176":{"id":176,"stroke":0,"bold":0,"size":13,"underline":0,"textColor":"25e3d9","strokeColor":"111111"},"177":{"id":177,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"178":{"id":178,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"179":{"id":179,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"180":{"id":180,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"ff4500","strokeColor":"111111"},"181":{"id":181,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ff00ff","strokeColor":"111111"},"182":{"id":182,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"00ffff","strokeColor":"111111"},"183":{"id":183,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"184":{"id":184,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"fffefe","strokeColor":"111111"},"185":{"id":185,"stroke":1,"bold":0,"size":16,"underline":1,"textColor":"ff0500","strokeColor":"111111"},"186":{"id":186,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"187":{"id":187,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"188":{"id":188,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"492a07","strokeColor":"111111"},"189":{"id":189,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"3d1400","strokeColor":"111111"},"190":{"id":190,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"3d1400","strokeColor":"111111"},"191":{"id":191,"stroke":1,"bold":0,"size":16,"textColor":"823c18","strokeColor":"111111"},"192":{"id":192,"stroke":1,"bold":0,"size":13,"textColor":"823c18","strokeColor":"111111"},"193":{"id":193,"stroke":0,"bold":0,"size":12,"underline":0,"textColor":"f1f1f1","strokeColor":"1a1f24"},"194":{"id":194,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"195":{"id":195,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"bc9c75","strokeColor":"111111"},"196":{"id":196,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"197":{"id":197,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"198":{"id":198,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ffefc4","strokeColor":"111111"},"199":{"id":199,"stroke":1,"bold":0,"size":13,"underline":1,"textColor":"28ef01","strokeColor":"111111"},"200":{"id":200,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"201":{"id":201,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"202":{"id":202,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ff0500","strokeColor":"111111"},"203":{"id":203,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"28ef01","strokeColor":"111111"},"204":{"id":204,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"fcd123","strokeColor":"111111"},"205":{"id":205,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"9a805a","strokeColor":"1a1f24"},"206":{"id":206,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"9a805a","strokeColor":"1a1f24"},"207":{"id":207,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"e2e1e1","strokeColor":"0"},"208":{"id":208,"stroke":0,"bold":0,"size":13,"underline":0,"textColor":"666666","strokeColor":"1a1f24"},"209":{"id":209,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"26211a"},"210":{"id":210,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"211":{"id":211,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"686053","strokeColor":"111111"},"212":{"id":212,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"213":{"id":213,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"686053","strokeColor":"111111"},"214":{"id":214,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"fcd123","strokeColor":"26211a"},"215":{"id":215,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"b8a481","strokeColor":"26211a"},"216":{"id":216,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f1f1f1","strokeColor":"332c23"},"217":{"id":217,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"28ef01","strokeColor":"332c23"},"218":{"id":218,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f2e7ce","strokeColor":"2f2b29"},"219":{"id":219,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f2e7ce","strokeColor":"2f2b29"},"220":{"id":220,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"332c23"},"221":{"id":221,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ff0500","strokeColor":"400809"},"222":{"id":222,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"28ef01","strokeColor":"0a3b03"},"223":{"id":223,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"ff00ff","strokeColor":"111111"},"224":{"id":224,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"e332b7","strokeColor":"111111"},"225":{"id":225,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"ff00c6","strokeColor":"111111"},"226":{"id":226,"stroke":0,"bold":0,"size":18,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"227":{"id":227,"stroke":0,"bold":0,"size":18,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"228":{"id":228,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f2f1f0","strokeColor":"0"},"229":{"id":229,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"9453ff","strokeColor":"0"},"230":{"id":230,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"01d1ff","strokeColor":"0"},"231":{"id":231,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"28ef01","strokeColor":"0"},"232":{"id":232,"stroke":0,"bold":0,"size":16,"textColor":"28ef01","strokeColor":"0"},"233":{"id":233,"stroke":1,"bold":0,"size":19,"underline":0,"textColor":"d7c9af","strokeColor":"232124"},"234":{"id":234,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"235":{"id":235,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"236":{"id":236,"stroke":0,"bold":1,"size":17,"underline":0,"textColor":"0","strokeColor":"0"},"237":{"id":237,"stroke":0,"bold":1,"size":15,"underline":0,"textColor":"291e1c","strokeColor":"0"},"238":{"id":238,"stroke":0,"bold":1,"size":15,"underline":0,"textColor":"0","strokeColor":"0"},"239":{"id":239,"stroke":0,"bold":1,"size":15,"underline":0,"textColor":"42221b","strokeColor":"0"},"240":{"id":240,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ebf291","strokeColor":"111111"},"241":{"id":241,"stroke":1,"bold":0,"size":21,"underline":0,"textColor":"ebf291","strokeColor":"111111"},"242":{"id":242,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"dc9b25","strokeColor":"111111"},"243":{"id":243,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"cfbd9e","strokeColor":"111111"},"244":{"id":244,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"64605a","strokeColor":"111111"},"245":{"id":245,"stroke":0,"bold":0,"size":15,"underline":0,"textColor":"FFA500","strokeColor":"0"},"246":{"id":246,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ffff0f","strokeColor":"111111"},"247":{"id":247,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"63615f","strokeColor":"111111"},"248":{"id":248,"stroke":1,"bold":0,"size":17,"underline":0,"textColor":"ebf291","strokeColor":"111111"},"249":{"id":249,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f1f1f1","strokeColor":"111111"},"250":{"id":250,"stroke":1,"bold":0,"size":24,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"251":{"id":251,"stroke":1,"bold":0,"size":24,"underline":0,"textColor":"928977","strokeColor":"111111"},"252":{"id":252,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f7ab00","strokeColor":"111111"},"253":{"id":253,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"41cb44","strokeColor":"111111"},"254":{"id":254,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"fff601","strokeColor":"111111"},"255":{"id":255,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"00ffff","strokeColor":"111111"},"256":{"id":256,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"009c07","strokeColor":"111111"},"257":{"id":257,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"006aee","strokeColor":"111111"},"258":{"id":258,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ba4bfa","strokeColor":"111111"},"259":{"id":259,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"9700ee","strokeColor":"111111"},"260":{"id":260,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ff339a","strokeColor":"111111"},"261":{"id":261,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"e60012","strokeColor":"111111"},"262":{"id":262,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"f8e6c6","strokeColor":"111111"},"263":{"id":263,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"928977","strokeColor":"111111"},"264":{"id":264,"stroke":1,"bold":0,"size":22,"underline":0,"textColor":"ffe400","strokeColor":"111111"},"265":{"id":265,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"27abea","strokeColor":"111111"},"266":{"id":266,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"00bfb2","strokeColor":"111111"},"267":{"id":267,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"1efff2","strokeColor":"111111"},"268":{"id":268,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"277fb3","strokeColor":"111111"},"269":{"id":269,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"0b0bff","strokeColor":"111111"},"270":{"id":270,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"69c950","strokeColor":"111111"},"271":{"id":271,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"00db00","strokeColor":"111111"},"272":{"id":272,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"9494","strokeColor":"111111"},"273":{"id":273,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"7621cd","strokeColor":"111111"},"274":{"id":274,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"fff601","strokeColor":"111111"},"275":{"id":275,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f17100","strokeColor":"111111"},"276":{"id":276,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f500f5","strokeColor":"111111"},"277":{"id":277,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"e60012","strokeColor":"111111"},"278":{"id":278,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"996900","strokeColor":"111111"},"279":{"id":279,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ba00ff","strokeColor":"111111"},"280":{"id":280,"stroke":1,"bold":0,"size":18,"underline":1,"textColor":"ebf291","strokeColor":"111111"},"281":{"id":281,"stroke":1,"bold":0,"size":18,"underline":1,"textColor":"ffff0f","strokeColor":"111111"},"282":{"id":282,"stroke":1,"bold":0,"size":14,"underline":1,"textColor":"f8e6c6","strokeColor":"111111"},"283":{"id":283,"stroke":1,"bold":0,"size":14,"underline":1,"textColor":"28ef01","strokeColor":"111111"},"284":{"id":284,"stroke":1,"bold":0,"size":14,"underline":1,"textColor":"ff0500","strokeColor":"111111"},"285":{"id":285,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ff8800","strokeColor":"111111"},"286":{"id":286,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"eae8dd","strokeColor":"111111"},"287":{"id":287,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"3cff00","strokeColor":"111111"},"288":{"id":288,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"998877","strokeColor":"111111"},"289":{"id":289,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"dc9b25","strokeColor":"111111"},"290":{"id":290,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ffd200","strokeColor":"111111"},"291":{"id":291,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"e2e1e1","strokeColor":"111111"},"292":{"id":292,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"dc9b25","strokeColor":"111111"},"293":{"id":293,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"e2e1e1","strokeColor":"111111"},"294":{"id":294,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"bdbea8","strokeColor":"111111"},"295":{"id":295,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"a69470","strokeColor":"111111"},"296":{"id":296,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ffd800","strokeColor":"111111"},"297":{"id":297,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ffedc1","strokeColor":"111111"},"298":{"id":298,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"dfd8ca","strokeColor":"111111"},"299":{"id":299,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"dfd8ca","strokeColor":"111111"},"300":{"id":300,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f3e35f","strokeColor":"111111"},"301":{"id":301,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"c39b63","strokeColor":"111111"},"302":{"id":302,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ff7700","strokeColor":"111111"},"303":{"id":303,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"25e3d9","strokeColor":"111111"},"304":{"id":304,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"25e3d9","strokeColor":"111111"},"305":{"id":305,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f17100","strokeColor":"111111"},"306":{"id":306,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f17100","strokeColor":"111111"},"307":{"id":307,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"fcd123","strokeColor":"111111"},"308":{"id":308,"stroke":0,"bold":0,"size":18,"underline":0,"textColor":"cfbd9e","strokeColor":"111111"},"309":{"id":309,"stroke":1,"bold":0,"size":14,"underline":1,"textColor":"28ef01","strokeColor":"111111"},"310":{"id":310,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"b8a481","strokeColor":"111111"},"311":{"id":311,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"d29850","strokeColor":"111111"},"312":{"id":312,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"da620d","strokeColor":"111111"},"313":{"id":313,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ccb584","strokeColor":"111111"},"314":{"id":314,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"ccb584","strokeColor":"111111"},"315":{"id":315,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"d29850","strokeColor":"111111"},"316":{"id":316,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"bea994","strokeColor":"111111"},"317":{"id":317,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"60be46","strokeColor":"111111"},"318":{"id":318,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"38b76a","strokeColor":"111111"},"319":{"id":319,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"27abea","strokeColor":"111111"},"320":{"id":320,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"60be46","strokeColor":"111111"},"321":{"id":321,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"bc9c75","strokeColor":"111111"},"322":{"id":322,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"71a759","strokeColor":"111111"},"323":{"id":323,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"988773","strokeColor":"111111"},"324":{"id":324,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"b02041","strokeColor":"111111"},"325":{"id":325,"stroke":1,"bold":0,"size":13,"underline":0,"textColor":"1dc263","strokeColor":"111111"},"326":{"id":326,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"ffffff","strokeColor":"111111"},"327":{"id":327,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"ff00ff","strokeColor":"111111"},"328":{"id":328,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"00e5ed","strokeColor":"111111"},"329":{"id":329,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"02ca02","strokeColor":"111111"},"330":{"id":330,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"fdd208","strokeColor":"111111"},"331":{"id":331,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"df00e8","strokeColor":"111111"},"332":{"id":332,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"00e5ed","strokeColor":"111111"},"333":{"id":333,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"12ff00","strokeColor":"111111"},"334":{"id":334,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"e000a3","strokeColor":"111111"},"335":{"id":335,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"fdd208","strokeColor":"111111"},"336":{"id":336,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"ffffff","strokeColor":"111111"},"337":{"id":337,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"f5db00","strokeColor":"111111"},"338":{"id":338,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"bea994","strokeColor":"111111"},"339":{"id":339,"stroke":1,"bold":0,"size":22,"underline":0,"textColor":"c7bba9","strokeColor":"111111"},"340":{"id":340,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"9a805a","strokeColor":"111111"},"341":{"id":341,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"ff00ff","strokeColor":"111111"},"342":{"id":342,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"00ffff","strokeColor":"111111"},"343":{"id":343,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"f7ab00","strokeColor":"111111"},"344":{"id":344,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"e49f0a","strokeColor":"111111"},"345":{"id":345,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"fff601","strokeColor":"111111"},"346":{"id":346,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"e5e5e5","strokeColor":"111111"},"347":{"id":347,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"ff4500","strokeColor":"111111"},"348":{"id":348,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"f2e7ce","strokeColor":"111111"},"349":{"id":349,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"ffffff","strokeColor":"111111"},"350":{"id":350,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"bea994","strokeColor":"111111"},"351":{"id":351,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"00db00","strokeColor":"111111"},"352":{"id":352,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"00db00","strokeColor":"111111"},"353":{"id":353,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"d29850","strokeColor":"111111"},"354":{"id":354,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"009c07","strokeColor":"111111"},"355":{"id":355,"stroke":1,"bold":0,"size":20,"underline":0,"textColor":"ffd78b","strokeColor":"111111"},"356":{"id":356,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"c39b63","strokeColor":"111111"},"357":{"id":357,"stroke":1,"bold":0,"size":15,"underline":0,"textColor":"01d1ff","strokeColor":"111111"},"358":{"id":358,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"ff8625","strokeColor":"111111"},"359":{"id":359,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"d83dff","strokeColor":"111111"},"360":{"id":360,"stroke":1,"bold":0,"size":14,"underline":0,"textColor":"2ac9e6","strokeColor":"111111"},"361":{"id":361,"stroke":1,"bold":0,"size":16,"underline":0,"textColor":"f9c700","strokeColor":"111111"},"362":{"id":362,"stroke":1,"bold":0,"size":18,"underline":0,"textColor":"f9c700","strokeColor":"111111"},"363":{"stroke":1,"size":17,"textColor":16369408,"strokeColor":1118481},"364":{"stroke":1,"size":14,"textColor":15856113,"strokeColor":1118481},"365":{"stroke":1,"size":15,"textColor":16444353,"strokeColor":1118481},"366":{"stroke":1,"size":15,"textColor":16765440,"strokeColor":1118481},"367":{"stroke":1,"size":14,"textColor":14868961,"strokeColor":1118481}};
generateEUI2.skins = {"eui.Button":"resource/eui_skins/controls/ButtonSkin.exml","eui.CheckBox":"resource/eui_skins/controls/CheckBoxSkin.exml","eui.HScrollBar":"resource/eui_skins/controls/HScrollBarSkin.exml","eui.HSlider":"resource/eui_skins/controls/HSliderSkin.exml","eui.Panel":"resource/eui_skins/controls/PanelSkin.exml","eui.TextInput":"resource/eui_skins/controls/TextInputSkin.exml","eui.ProgressBar":"resource/eui_skins/controls/ProgressBarSkin.exml","eui.RadioButton":"resource/eui_skins/controls/RadioButtonSkin.exml","eui.Scroller":"resource/eui_skins/controls/ScrollerSkin.exml","eui.ToggleSwitch":"resource/eui_skins/controls/ToggleSwitchSkin.exml","eui.VScrollBar":"resource/eui_skins/controls/VScrollBarSkin.exml","eui.VSlider":"resource/eui_skins/controls/VSliderSkin.exml","eui.ItemRenderer":"resource/eui_skins/controls/ItemRendererSkin.exml","Button1Skin":"resource/eui_skins/controls/button/Button1Skin.exml","Button2Skin":"resource/eui_skins/controls/button/Button2Skin.exml","Button5Skin":"resource/eui_skins/controls/button/Button5Skin.exml","Button6Skin":"resource/eui_skins/controls/button/Button6Skin.exml","ButtonClose0Skin":"resource/eui_skins/controls/button/ButtonClose0Skin.exml","ButtonClose1Skin":"resource/eui_skins/controls/button/ButtonClose1Skin.exml","ButtonClose2Skin":"resource/eui_skins/controls/button/ButtonClose2Skin.exml","ButtonMenuSkin":"resource/eui_skins/controls/button/ButtonMenuSkin.exml"};